#include "server.h"

CServer::CServer(const std::shared_ptr<spdlog::logger>& logger)
    : logger_(logger)
{
    server_ = std::make_shared<CTcpServer>(io_context_, logger);
}

CServer::~CServer()
{
}

void CServer::run()
{
    if (!server_->Start(8080)) {
        return;
    }
    io_context_.run();
}

bool CServer::get_task_list()
{
    return false;
}
